API ReferenceChallenges
Deny a challenge
Declines a pending incoming challenge. This updates the challenge status to declined. Doesn't create a match.
Triggers the challenge:denied ws event to the target user.
Path Parameters
challenge_id*string
Header Parameters
Response Body
application/json
curl -X POST "https://example.com/api/me/challenges/string/deny"{ "success": true, "data": { "challenge": { "id": 1, "createdAt": "2024-01-01T12:00:00Z", "fromId": "123e4567-e89b-12d3-a456-426614174000", "toId": "987e6543-e21b-34d5-a678-426614174000", "challengerColor": "random", "status": "pending", "matchId": null, "from": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "John Doe", "username": "johndoe", "createdAt": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z", "botOwnerId": null, "rating": 1200, "rd": 350, "vol": 0.06 }, "to": { "id": "987e6543-e21b-34d5-a678-426614174000", "name": "Jane Doe", "username": "janedoe", "createdAt": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z", "botOwnerId": null, "rating": 1200, "rd": 350, "vol": 0.06 }, "ranked": true } }}Accept a challenge POST
Accepts a pending incoming challenge from another user. After accepting, a new chess match is created between both players. Triggers the `challenge:accepted` ws event to the target user.
Start device auth POST
Initiates a device auth flow by generating a device code and user code. It's not an OAuth 2.0 Device Authorization Grant, as this doesn't follow the format, but it's pretty similar to it. Triggers the `device_auth` ws event once the user denies/accepts the device auth request (or it expires).